Bug 740588 - No actions on "Keyboard configuration" from the menu
No actions on "Keyboard configuration" from the menu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-22 11:08 EDT by Akira TAGOH
Modified: 2011-10-08 14:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.4.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-03 13:58:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2011-09-22 11:08:07 EDT
Description of problem:
When clicking "Keyboard configuration" from the ibus menu (with ibus-gnome3), ibus doesn't take any action. just running "gnome-control-center region" from the terminal works.

Version-Release number of selected component (if applicable):
ibus-1.3.99.20110817-5.fc16.x86_64
ibus-gnome3-1.3.99.20110817-5.fc16.x86_64


How reproducible:
always

Steps to Reproduce:
1.enable ibus-gnome3
2.select "Keyboard configuration" from the ibus menu
3.
  
Actual results:
Nothing happens.

Expected results:
should bring up gnome-control-center region as it described in http://fedoraproject.org/wiki/QA:Testcase_ibus_gnome_shell

Additional info:
when clicking "Keyboard configuration", I can see the log in .xsession-errors:
    JS ERROR: !!!   Exception in callback for signal: activate
    JS ERROR: !!!     message = '"Shell.AppSystem.get_default().get_app is not a function"'
    JS ERROR: !!!     lineNumber = '519'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/status/ibus/ibusPanel.js"'
    JS ERROR: !!!     stack = '"([object Object],[object _private_Clutter_Event])@/usr/share/gnome-shell/js/ui/status/ibus/ibusPanel.js:519
_emit("activate",[object _private_Clutter_Event])@/usr/share/gjs-1.0/signals.js:124
([object _private_Clutter_Event])@/usr/share/gnome-shell/js/ui/popupMenu.js:103
([object _private_Shell_GenericContainer],[object _private_Clutter_Event])@/usr/share/gnome-shell/js/ui/popupMenu.js:76
"'
Comment 1 fujiwara 2011-09-25 22:17:13 EDT
Thanks for the report. It seems the API was changed in gnome-shell 3.1.91.
https://github.com/fujiwarat/ibus-gjs/commit/6c7c6af22dbab4dd88d40f10173896f882c43f26
Comment 2 Fedora Update System 2011-09-28 07:36:25 EDT
ibus-1.4.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-1.4.0-2.fc16
Comment 3 Fedora Update System 2011-09-28 07:36:44 EDT
ibus-1.4.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-1.4.0-2.fc15
Comment 4 Fedora Update System 2011-09-28 14:54:27 EDT
Package ibus-1.4.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ibus-1.4.0-2.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-10-03 13:58:23 EDT
ibus-1.4.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-10-08 14:03:18 EDT
ibus-1.4.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.